Package org.openoffice.da.comp.w2lcommon.filter

# Class ConfigurationDialogBase.AttributePageHandler

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.AttributePageHandler

Enclosing class:
  `ConfigurationDialogBase`

protected abstract class ConfigurationDialogBase.AttributePageHandler extends ConfigurationDialogBase.PageHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`sAttributeNames`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributePageHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`getControls(DialogAccess dlg)`
`protected abstract void`
`getControls(DialogAccess dlg, Map<String,String> attr)`
`protected boolean`
`handleEvent(DialogAccess dlg, String sMethod)`
`protected abstract void`
`prepareControls(DialogAccess dlg, boolean bEnable)`
`protected void`
`setControls(DialogAccess dlg)`
`protected abstract void`
`setControls(DialogAccess dlg, Map<String,String> attr)`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler

`checkBoxFromConfig, checkBoxToConfig, deleteItem, getDialog, listBoxFromConfig, listBoxToConfig, textFieldFromConfig, textFieldToConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sAttributeNames

protected String[] sAttributeNames

## Constructor Details

### AttributePageHandler

protected AttributePageHandler()

## Method Details

### getControls

protected abstract void getControls(DialogAccess dlg, Map<String,String> attr)

### setControls

protected abstract void setControls(DialogAccess dlg, Map<String,String> attr)

### prepareControls

protected abstract void prepareControls(DialogAccess dlg, boolean bEnable)

### setControls

protected void setControls(DialogAccess dlg)

Specified by:
  `setControls` in class `ConfigurationDialogBase.PageHandler`

### getControls

protected void getControls(DialogAccess dlg)

Specified by:
  `getControls` in class `ConfigurationDialogBase.PageHandler`

### handleEvent

protected boolean handleEvent(DialogAccess dlg, String sMethod)

Specified by:
  `handleEvent` in class `ConfigurationDialogBase.PageHandler`